
#include <stdio.h>

#include "atime.h"


main()
{

	days day(1);
	hours hour(day);
	minutes minute(hour);
	seconds sec(minute);
	microseconds micro(1);
	milliseconds mil(micro);
	nanoseconds nano(micro);
	picoseconds pico(micro);

	printf("Days: %f\n",(double)day.GetValue());
	printf("Hours: %f\n",(double)hour.GetValue());
	printf("Minutes: %f\n",(double)minute.GetValue());
	printf("Seconds: %f\n",(double)sec.GetValue());
	printf("Milliseconds: %f\n",(double)mil.GetValue());
	printf("Microseconds: %f\n", (double)micro.GetValue());
	printf("Nanoseconds: %f\n", (double)nano.GetValue());
	printf("Picoseconds: %f\n", (double)pico.GetValue());
	
	ASystemClock clock;
	AStopWatch watch;
		
	printf("Delaying for 3 seconds\n");
	watch.Start();
	clock.DelayFor(seconds(3));
	watch.Stop();
	microseconds time(0.0);
	watch.GetElapsedTime(time);
	printf("Finished delay: %f - microseconds\n", (double)time.GetValue());
	
	
/*
	// Create and start a ticker
	ATicker *ticker = new ATicker(2.0);
	
	// busy wait so some tickers go off
	double baseTime = system_time();
	do {
		;
	} while (system_time() < baseTime + 10000000/2);
	
	delete ticker;
*/
	
	return 0;
}

