#include "vector.h"

template <class E, class T> class enumVector : public vector<T>
{
public:
				enumVector(E max);
				enumVector(const enumVector &other);
				
	T &		operator [] (E idx);
	
protected:
private:
};


template <class E, class T>
enumVector<E,T>::enumVector(E max)
	: vector<T>(1+int(max))
{}

template <class E, class T>
enumVector<E,T>::enumVector(const enumVector &other)
	: vector(other)
{}

template <class E, class T>
T &
enumVector<E,T>::operator [] (E idx)
{
	return vector<T>::operator[](int(idx));
}
