// Hash function that is useful in certain situations
#include "hash.h"


unsigned long 
DataHash(const void *key, const unsigned long keySize, const unsigned long  tableSize)
{
	unsigned long hashVal =0;
	char *data = (char *)key;
	
	int i=0;
	
	for (i=0; i< keySize; i++)
	{
		hashVal = (hashVal << 5) ^ (int)(data[i]) ^ hashVal;
	}
	
	return hashVal % tableSize;
}

unsigned long 
StringHash(String &key, const unsigned long tableSize)
{
	unsigned long hashVal =0;
	return DataHash((const char *)key, key.length(), tableSize);
}
