//===========================================================
// A portFilter is a simple function that can be given the
// task of turning the data that comes from a port into some
// action or other.  You would typically sub-class one of these
// to implement a particular messaging protocol.
//===========================================================


// Standard port message codes for the BeOS
#define UPDATE_MSG_CODE			0	// for update messages sent by the app_server
#define APP_SERVER_MSG_CODE		1	// for standard messages sent by the app_server
#define STD_SEND_MSG_CODE		'pjpp'	// the standard for sending messages via messengers.
#define STD_MINI_SEND_MSG_CODE	'jahh' // for standard mini messages ('what' field only)

class portFilter
{
public:
				portFilter();
				~portFilter();
								
	virtual status_t	Filter(const int32 code, void *data, ssize_t size);
	
protected:
private:
};

