#ifndef STACK_H
#define STACK_H

//========================================================
// Template: stack
//
// The protocol for a common data structure, the stack.
// More specific implementations will utilize various low
// level data structures for actual data storage.
//========================================================
template <class AType> class stack
{
public:
	virtual void	Push(AType val)=0;
	virtual AType	Pop() = 0;
	virtual AType	Top() const =0;

	virtual	void	DeleteAll() = 0;
	virtual bool	IsEmpty() const = 0;
};

#endif
