#ifndef CONDITION_H
#define CONDITION_H

#include <OS.h>

//=================================================
//
//=================================================
class ACondition
{
public:
				ACondition(const char *aName);
				ACondition(const ACondition&);
				~ACondition();
				
	ACondition& operator =(const ACondition&);
	
	long	InformOne();
	long	InformAll();
	
	long	Wait();
	
protected:
	sem_id	fSemaphore;
	
private:
	ACondition();
	
};



#endif
