#ifndef ORDEREDLIST_H
#define ORDEREDLIST_H

#include "list.h"
#include "listiterator.h"

template  <class T>
class orderedList : public list<T>
{
public:
	virtual void	Add (T value);
	
protected:
private:
};


template <class T>
void 
orderedList<T>::Add(T value)
{
	listIterator<T> itr(*this);
	
	for (itr.init(); !itr.done(); itr.next())
	{
		if (value < itr())
		{
			itr.AddBefore(value);
			return;
		}
	}
	
	// If we got to here, the item was not already
	// inserted, so we can add it to the list
	itr.AddBefore(value);
}

#endif
